{% extends "base.html" %}

{% block content %}
  <div class="container">
    <div class="row mt-4">
      <div class="col-lg-10 col-md-9 col-sm-8 col-7">
        <h1>All Locations</h1>
      </div>
      <div class="col-lg-2 col-md-3 col-sm-4 col-5">
        <a href="{{ url_for('address_add') }}"><button class="btn btn-primary btn-block">Add new</button></a>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <table class="table table-hover">
          <thead>
            <tr>
              <th scope="col">#</th>
              <th scope="col">Name</th>
              <th scope="col">Edit</th>
            </tr>
          </thead>
          <tbody>
            {% for address in addresses %}
              <tr>
                <th scope="row">{{ loop.index }}</th>
                <td>{{ address.name }}</td>
                <td><a href="{{ url_for('address_edit', address_id=address.id) }}"><i class="fas fa-user-edit text-warning"></i></a></td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  </div>
{% endblock %}